### Class

# FwupdPlugin UswidFirmware

since: 1.0

#### Description [src]

    class FwupdPlugin.UswidFirmware : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

A uSWID header with multiple optionally-compressed coSWID CBOR sections.

See also: `FuCoswidFirmware`

Available since: 1.0

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_uswid_firmware_new

Creates a new `FuFirmware` of sub type uSWID.

since: 1.8.0

#### Instance methods

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct FwupdPluginUswidFirmwareClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`
  No description available.